cowboy_constraints:int(3)

NAME

cowboy_constraints:int - Integer constraint

DESCRIPTION

Constraint functions implement a number of different operations.

    int(forward, Bin) -> {ok, Int} | {error, not_an_integer}

    Bin :: binary()
    Int :: integer()

Validate and convert the text representation of an integer.

    int(reverse, Int) -> {ok, Bin} | {error, not_an_integer}

Convert an integer back to its text representation.

    int(format_error, Error) -> HumanReadable

    Error         :: {not_an_integer, Bin | Int}
    HumanReadable :: iolist()

Generate a human-readable error message.

ARGUMENTS

Arguments vary depending on the operation. Constraint functions always take the operation type as first argument, and the value as second argument.

RETURN VALUE

The return value varies depending on the operation.

CHANGELOG
    • 2.0: Interface modified to allow for a variety of operations.
    • 1.0: Constraint introduced.

EXAMPLES

This function is not meant to be called directly.

SEE ALSO

cowboy_constraints(3), cowboy_constraints:nonempty(3), cowboy_constraints:from_fun(3), cowboy_router(3), cowboy_req:match_cookies(3), cowboy_req:match_qs(3)